CREATE TABLE gtg_sc_frc_defaults (
    ID                       NUMBER(18, 0),
    ACCESSOR_TYPE            VARCHAR2(80)     NOT NULL,
    ACCESSOR_ID              VARCHAR2(400)    NOT NULL,
    SOURCE_SECURABLE_TYPE    VARCHAR2(400)    NOT NULL,
    SOURCE_SECURABLE_ID      NUMBER(19, 0)    NOT NULL,
    DEST_SECURABLE_TYPE      VARCHAR2(400)    NOT NULL,
    IS_OWNER                 NUMBER(9, 0)     NOT NULL,
    IS_EDITOR                NUMBER(9, 0)     NOT NULL,
    IS_VIEWER                NUMBER(9, 0)     NOT NULL,
    IS_REVIEWER              NUMBER(9, 0)     NOT NULL,
    IS_APPROVER              NUMBER(9, 0)     NOT NULL,
    IS_ISSUE_VALIDATOR       NUMBER(9, 0)     NOT NULL,
    IS_ASSESSOR              NUMBER(9, 0)     NOT NULL,
    IS_ISSUE_OWNER           NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ID                       NUMBER(18, 0),
    ACCESSOR_TYPE            VARCHAR2(80)     NOT NULL,
    ACCESSOR_ID              VARCHAR2(400)    NOT NULL,
    SOURCE_SECURABLE_TYPE    VARCHAR2(400)    NOT NULL,
    SOURCE_SECURABLE_ID      NUMBER(19, 0)    NOT NULL,
    DEST_SECURABLE_TYPE      VARCHAR2(400)    NOT NULL,
    IS_OWNER                 NUMBER(9, 0)     NOT NULL,
    IS_EDITOR                NUMBER(9, 0)     NOT NULL,
    IS_VIEWER                NUMBER(9, 0)     NOT NULL,
    IS_REVIEWER              NUMBER(9, 0)     NOT NULL,
    IS_APPROVER              NUMBER(9, 0)     NOT NULL,
    IS_ISSUE_VALIDATOR       NUMBER(9, 0)     NOT NULL,
    IS_ASSESSOR              NUMBER(9, 0)     NOT NULL,
    IS_ISSUE_OWNER           NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_gtg_sc_frc_defaults PRIMARY KEY (ID, ID)
);
